// This file was generated by gir (https://github.com/gtk-rs/gir)
// from
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

mod application_pkcs7_mime;
pub use self::application_pkcs7_mime::{ApplicationPkcs7Mime, NONE_APPLICATION_PKCS7_MIME};

mod autocrypt_header;
pub use self::autocrypt_header::{AutocryptHeader, NONE_AUTOCRYPT_HEADER};

mod autocrypt_header_list;
pub use self::autocrypt_header_list::{AutocryptHeaderList, NONE_AUTOCRYPT_HEADER_LIST};

mod certificate;
pub use self::certificate::{Certificate, NONE_CERTIFICATE};

mod certificate_list;
pub use self::certificate_list::{CertificateList, NONE_CERTIFICATE_LIST};

mod content_disposition;
pub use self::content_disposition::{ContentDisposition, NONE_CONTENT_DISPOSITION};

mod content_type;
pub use self::content_type::{ContentType, NONE_CONTENT_TYPE};

mod crypto_context;
pub use self::crypto_context::{CryptoContext, NONE_CRYPTO_CONTEXT};

mod data_wrapper;
pub use self::data_wrapper::{DataWrapper, NONE_DATA_WRAPPER};

mod decrypt_result;
pub use self::decrypt_result::{DecryptResult, NONE_DECRYPT_RESULT};

mod filter;
pub use self::filter::{Filter, NONE_FILTER};

mod filter_basic;
pub use self::filter_basic::{FilterBasic, NONE_FILTER_BASIC};

mod filter_best;
pub use self::filter_best::{FilterBest, NONE_FILTER_BEST};

mod filter_charset;
pub use self::filter_charset::{FilterCharset, NONE_FILTER_CHARSET};

mod filter_checksum;
pub use self::filter_checksum::{FilterChecksum, NONE_FILTER_CHECKSUM};

mod filter_dos2_unix;
pub use self::filter_dos2_unix::{FilterDos2Unix, NONE_FILTER_DOS2_UNIX};

mod filter_enriched;
pub use self::filter_enriched::{FilterEnriched, NONE_FILTER_ENRICHED};

mod filter_from;
pub use self::filter_from::{FilterFrom, NONE_FILTER_FROM};

mod filter_gzip;
pub use self::filter_gzip::{FilterGZip, NONE_FILTER_GZIP};

mod filter_html;
pub use self::filter_html::{FilterHTML, NONE_FILTER_HTML};

#[cfg(any(feature = "v3_2", feature = "dox"))]
#[cfg_attr(feature = "dox", doc(cfg(feature = "v3_2")))]
mod filter_open_pgp;
#[cfg(any(feature = "v3_2", feature = "dox"))]
#[cfg_attr(feature = "dox", doc(cfg(feature = "v3_2")))]
pub use self::filter_open_pgp::{FilterOpenPGP, NONE_FILTER_OPEN_PGP};

mod filter_smtp_data;
pub use self::filter_smtp_data::{FilterSmtpData, NONE_FILTER_SMTP_DATA};

mod filter_strip;
pub use self::filter_strip::{FilterStrip, NONE_FILTER_STRIP};

mod filter_unix2_dos;
pub use self::filter_unix2_dos::{FilterUnix2Dos, NONE_FILTER_UNIX2_DOS};

mod filter_windows;
pub use self::filter_windows::{FilterWindows, NONE_FILTER_WINDOWS};

mod filter_yenc;
pub use self::filter_yenc::{FilterYenc, NONE_FILTER_YENC};

mod gpg_context;
pub use self::gpg_context::GpgContext;

mod header;
pub use self::header::{Header, NONE_HEADER};

mod header_list;
pub use self::header_list::{HeaderList, NONE_HEADER_LIST};

mod message;
pub use self::message::{Message, NONE_MESSAGE};

mod message_part;
pub use self::message_part::{MessagePart, NONE_MESSAGE_PART};

mod message_partial;
pub use self::message_partial::{MessagePartial, NONE_MESSAGE_PARTIAL};

mod multipart;
pub use self::multipart::{Multipart, NONE_MULTIPART};

mod multipart_encrypted;
pub use self::multipart_encrypted::{MultipartEncrypted, NONE_MULTIPART_ENCRYPTED};

mod multipart_signed;
pub use self::multipart_signed::{MultipartSigned, NONE_MULTIPART_SIGNED};

mod object;
pub use self::object::{Object, NONE_OBJECT};

mod param;
pub use self::param::{Param, NONE_PARAM};

mod param_list;
pub use self::param_list::{ParamList, NONE_PARAM_LIST};

mod parser;
pub use self::parser::{Parser, NONE_PARSER};

mod part;
pub use self::part::{Part, NONE_PART};

mod pkcs7_context;
pub use self::pkcs7_context::Pkcs7Context;

mod signature;
pub use self::signature::{Signature, NONE_SIGNATURE};

mod signature_list;
pub use self::signature_list::{SignatureList, NONE_SIGNATURE_LIST};

mod stream;
pub use self::stream::{Stream, NONE_STREAM};

mod stream_buffer;
pub use self::stream_buffer::{StreamBuffer, NONE_STREAM_BUFFER};

mod stream_cat;
pub use self::stream_cat::{StreamCat, NONE_STREAM_CAT};

mod stream_file;
pub use self::stream_file::{StreamFile, NONE_STREAM_FILE};

mod stream_filter;
pub use self::stream_filter::{StreamFilter, NONE_STREAM_FILTER};

mod stream_fs;
pub use self::stream_fs::{StreamFs, NONE_STREAM_FS};

mod stream_gio;
pub use self::stream_gio::{StreamGIO, NONE_STREAM_GIO};

mod stream_mem;
pub use self::stream_mem::{StreamMem, NONE_STREAM_MEM};

mod stream_mmap;
pub use self::stream_mmap::{StreamMmap, NONE_STREAM_MMAP};

mod stream_null;
pub use self::stream_null::{StreamNull, NONE_STREAM_NULL};

mod stream_pipe;
pub use self::stream_pipe::{StreamPipe, NONE_STREAM_PIPE};

mod text_part;
pub use self::text_part::{TextPart, NONE_TEXT_PART};

mod format_options;
pub use self::format_options::FormatOptions;

mod part_iter;
pub use self::part_iter::PartIter;

mod references;
pub use self::references::References;

mod enums;
pub use self::enums::AddressType;
pub use self::enums::AutocryptPreferEncrypt;
pub use self::enums::CipherAlgo;
pub use self::enums::ContentEncoding;
pub use self::enums::DigestAlgo;
pub use self::enums::EncodingConstraint;
pub use self::enums::EncryptFlags;
pub use self::enums::FilterFromMode;
pub use self::enums::FilterGZipMode;
pub use self::enums::Format;
pub use self::enums::NewLineFormat;
pub use self::enums::OpenPGPData;
pub use self::enums::ParamEncodingMethod;
pub use self::enums::ParserWarning;
pub use self::enums::PubKeyAlgo;
pub use self::enums::RfcComplianceMode;
pub use self::enums::SecureMimeType;
pub use self::enums::SeekWhence;
pub use self::enums::SignatureStatus;
pub use self::enums::StreamBufferMode;
pub use self::enums::Trust;
pub use self::enums::Validity;

mod flags;
pub use self::flags::DecryptFlags;
pub use self::flags::FilterBestFlags;
#[cfg(any(feature = "v3_2", feature = "dox"))]
#[cfg_attr(feature = "dox", doc(cfg(feature = "v3_2")))]
pub use self::flags::OpenPGPState;
pub use self::flags::VerifyFlags;

pub mod functions;

mod constants;
pub use self::constants::DISPOSITION_ATTACHMENT;
pub use self::constants::DISPOSITION_INLINE;

#[doc(hidden)]
pub mod traits {
    pub use super::application_pkcs7_mime::ApplicationPkcs7MimeExt;
    pub use super::autocrypt_header::AutocryptHeaderExt;
    pub use super::autocrypt_header_list::AutocryptHeaderListExt;
    pub use super::certificate::CertificateExt;
    pub use super::certificate_list::CertificateListExt;
    pub use super::content_disposition::ContentDispositionExt;
    pub use super::content_type::ContentTypeExt;
    pub use super::crypto_context::CryptoContextExt;
    pub use super::data_wrapper::DataWrapperExt;
    pub use super::decrypt_result::DecryptResultExt;
    pub use super::filter::FilterExt;
    pub use super::filter_best::FilterBestExt;
    pub use super::filter_checksum::FilterChecksumExt;
    pub use super::filter_gzip::FilterGZipExt;
    #[cfg(any(feature = "v3_2", feature = "dox"))]
    #[cfg_attr(feature = "dox", doc(cfg(feature = "v3_2")))]
    pub use super::filter_open_pgp::FilterOpenPGPExt;
    pub use super::filter_windows::FilterWindowsExt;
    pub use super::filter_yenc::FilterYencExt;
    pub use super::header::HeaderExt;
    pub use super::header_list::HeaderListExt;
    pub use super::message::MessageExt;
    pub use super::message_part::MessagePartExt;
    pub use super::message_partial::MessagePartialExt;
    pub use super::multipart::MultipartExt;
    pub use super::multipart_encrypted::MultipartEncryptedExt;
    pub use super::multipart_signed::MultipartSignedExt;
    pub use super::object::ObjectExt;
    pub use super::param::ParamExt;
    pub use super::param_list::ParamListExt;
    pub use super::parser::ParserExt;
    pub use super::part::PartExt;
    pub use super::signature::SignatureExt;
    pub use super::signature_list::SignatureListExt;
    pub use super::stream::StreamExt;
    pub use super::stream_cat::StreamCatExt;
    pub use super::stream_file::StreamFileExt;
    pub use super::stream_filter::StreamFilterExt;
    pub use super::stream_fs::StreamFsExt;
    pub use super::stream_gio::StreamGIOExt;
    pub use super::stream_mem::StreamMemExt;
    pub use super::stream_mmap::StreamMmapExt;
    pub use super::stream_null::StreamNullExt;
    pub use super::stream_pipe::StreamPipeExt;
    pub use super::text_part::TextPartExt;
}
